### Class

# WebKit2 WebResource

#### Description [src]

    class WebKit2.WebResource : GObject.Object
    {
      WebKitWebResourcePrivate* priv
    }

Represents a resource at the end of a URI.

A `WebKitWebResource` encapsulates content for each resource at the end of a particular URI. For example, one `WebKitWebResource` will be created for each separate image and stylesheet when a page is loaded.

You can access the response and the URI for a given `WebKitWebResource`, using `webkit_web_resource_get_uri()` and webkit_web_resource_get_response(), as well as the raw data, using webkit_web_resource_get_data().

#### Ancestors

- GObject

#### Instance methods

###### webkit_web_resource_get_data

Asynchronously get the raw data for `resource`.

###### webkit_web_resource_get_data_finish

Finish an asynchronous operation started with webkit_web_resource_get_data().

###### webkit_web_resource_get_response

Retrieves the `WebKitURIResponse` of the resource load operation.

###### webkit_web_resource_get_uri

Returns the current active URI of `resource`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2.WebResource:response

The `WebKitURIResponse` associated with this resource.

###### WebKit2.WebResource:uri

The current active URI of the `WebKitWebResource`. See `webkit_web_resource_get_uri()` for more details.

#### Signals

###### WebKit2.WebResource::failed

This signal is emitted when an error occurs during the resource load operation.

###### WebKit2.WebResource::failed-with-tls-errors

This signal is emitted when a TLS error occurs during the resource load operation.

since: 2.8

###### WebKit2.WebResource::finished

This signal is emitted when the resource load finishes successfully or due to an error. In case of errors `WebKitWebResource::failed` signal is emitted before this one.

###### WebKit2.WebResource::received-data

This signal is emitted after response is received, every time new data has been received. It’s useful to know the progress of the resource load operation.

deprecated: 2.40

###### WebKit2.WebResource::sent-request

This signal is emitted when `request` has been sent to the server. In case of a server redirection this signal is emitted again with the `request` argument containing the new request sent to the server due to the redirection and the `redirected_response` parameter containing the response received by the server for the initial request.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2WebResourceClass {
      GObjectClass parent_class;
      void (* _webkit_reserved0) (
    void
      );
      void (* _webkit_reserved1) (
    void
      );
      void (* _webkit_reserved2) (
    void
      );
      void (* _webkit_reserved3) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_webkit_reserved0: void (* _webkit_reserved0) ( void )`

  No description available.

`_webkit_reserved1: void (* _webkit_reserved1) ( void )`

  No description available.

`_webkit_reserved2: void (* _webkit_reserved2) ( void )`

  No description available.

`_webkit_reserved3: void (* _webkit_reserved3) ( void )`

  No description available.